#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n, x, mini, maxi, k;
    scanf("%ll%ll",&n,&x);
    mini = x;
    maxi = x;
for(int i = 0; i<n;i++)
    {
        scanf("%ll",&k);
        mini = min(mini,k);
        maxi = max(maxi,k);
    }
    long long y = abs(maxi-x) , g = abs(mini-x);
    long long r = y + g + min(y,g);
    printf("%ll",r);


    return 0;
}